Download old versions

The older versions of EditVoicepack are not supported and no further development will be done to improve them. You are free to use them “as is”.

EditVoicepack X

Supported flight simulators:

  • Microsoft Flight Simulator X

Supported operating systems:

  • Microsoft Windows XP
  • Microsoft Windows Vista
  • Microsoft Windows 7

Download: EditVoicepack X 4.0 (2.8MB)

It is not possible to use EditVoicepack X and EditVoicepack XL on the same system. You can install EditVoicepack XL on top of EditVoicepack X. If you already have EditVoicepack XL demo installed and you want to change to use EditVoicepack X you must uninstall EditVoicepack XL before installing EditVoicepack X.

EditVoicepack 3

Supported flight simulators:

  • Microsoft Flight Simulator 2004 – A Century of Flight

Supported operating systems:

  • Microsoft Windows XP
  • Microsoft Windows Vista

Download: EditVoicepack 3.1 (1.8MB)

EditVoicepack 3 can be installed next to EditVoicepack X or EditVoicepack XL. Please make sure they are installed in different locations. This is the default install behavior, so as long as you do not change the install paths it will work as is.